escript::NotImplementedError Class Reference

An exception class for features which are not (yet) implemented. More...

`#include <EsysException.h>`

Inheritance diagram for escript::NotImplementedError:

## Public Member Functions

| NotImplementedError (const std::string &str)
Public Member Functions inherited from escript::EsysException
| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Detailed Description

An exception class for features which are not (yet) implemented.

## Constructor & Destructor Documentation

## NotImplementedError()

escript::NotImplementedError::NotImplementedError | ( | const std::string & | str | ) |

inline

The documentation for this class was generated from the following file:

- EsysException.h